Package com.io7m.idstore.protocol.user.cb

# Record Class IdU1ResponseError

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.user.cb.IdU1ResponseError

Record Components:
  `fieldRequestId` - The ID of the request that yielded this response.
  `fieldErrorCode` - The error code.
  `fieldMessage` - The error message.
  `fieldAttributes` - The error attributes.
  `fieldRemediatingAction` - The remediating action, if any.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`, `ProtocolIdU1Type`, `ProtocolIdU1v1Type`

public record IdU1ResponseError(IdU1UUID fieldRequestId, com.io7m.cedarbridge.runtime.api.CBString fieldErrorCode, com.io7m.cedarbridge.runtime.api.CBString fieldMessage, com.io7m.cedarbridge.runtime.api.CBMap<com.io7m.cedarbridge.runtime.api.CBString,com.io7m.cedarbridge.runtime.api.CBString> fieldAttributes, com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBString> fieldRemediatingAction) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, ProtocolIdU1v1Type
An error response.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdU1ResponseError(IdU1UUID fieldRequestId, com.io7m.cedarbridge.runtime.api.CBString fieldErrorCode, com.io7m.cedarbridge.runtime.api.CBString fieldMessage, com.io7m.cedarbridge.runtime.api.CBMap<com.io7m.cedarbridge.runtime.api.CBString,com.io7m.cedarbridge.runtime.api.CBString> fieldAttributes, com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBString> fieldRemediatingAction)`
  Creates an instance of a `IdU1ResponseError` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdU1ResponseError`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdU1ResponseError.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBMap<com.io7m.cedarbridge.runtime.api.CBString,com.io7m.cedarbridge.runtime.api.CBString>`
  `fieldAttributes()`
  Returns the value of the `fieldAttributes` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldErrorCode()`
  Returns the value of the `fieldErrorCode` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldMessage()`
  Returns the value of the `fieldMessage` record component.
  `com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBString>`
  `fieldRemediatingAction()`
  Returns the value of the `fieldRemediatingAction` record component.
  `IdU1UUID`
  `fieldRequestId()`
  Returns the value of the `fieldRequestId` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdU1ResponseError $x)`
  Serialize a value of type IdU1ResponseError.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdU1ResponseError

    public IdU1ResponseError(IdU1UUID fieldRequestId, com.io7m.cedarbridge.runtime.api.CBString fieldErrorCode, com.io7m.cedarbridge.runtime.api.CBString fieldMessage, com.io7m.cedarbridge.runtime.api.CBMap<com.io7m.cedarbridge.runtime.api.CBString,com.io7m.cedarbridge.runtime.api.CBString> fieldAttributes, com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBString> fieldRemediatingAction)
    Creates an instance of a `IdU1ResponseError` record class.
    Parameters:
      `fieldRequestId` - the value for the `fieldRequestId` record component
      `fieldErrorCode` - the value for the `fieldErrorCode` record component
      `fieldMessage` - the value for the `fieldMessage` record component
      `fieldAttributes` - the value for the `fieldAttributes` record component
      `fieldRemediatingAction` - the value for the `fieldRemediatingAction` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdU1ResponseError $x) throws IOException
    Serialize a value of type IdU1ResponseError.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdU1ResponseError deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdU1ResponseError.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdU1ResponseError.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldRequestId

    public IdU1UUID fieldRequestId()
    Returns the value of the `fieldRequestId` record component.
    Returns:
      the value of the `fieldRequestId` record component

  - ### fieldErrorCode

    public com.io7m.cedarbridge.runtime.api.CBString fieldErrorCode()
    Returns the value of the `fieldErrorCode` record component.
    Returns:
      the value of the `fieldErrorCode` record component

  - ### fieldMessage

    public com.io7m.cedarbridge.runtime.api.CBString fieldMessage()
    Returns the value of the `fieldMessage` record component.
    Returns:
      the value of the `fieldMessage` record component

  - ### fieldAttributes

    public com.io7m.cedarbridge.runtime.api.CBMap<com.io7m.cedarbridge.runtime.api.CBString,com.io7m.cedarbridge.runtime.api.CBString> fieldAttributes()
    Returns the value of the `fieldAttributes` record component.
    Returns:
      the value of the `fieldAttributes` record component

  - ### fieldRemediatingAction

    public com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBString> fieldRemediatingAction()
    Returns the value of the `fieldRemediatingAction` record component.
    Returns:
      the value of the `fieldRemediatingAction` record component